cascading.property

## Class PropertyUtil

- java.lang.Object
- - cascading.property.PropertyUtil

    public class PropertyUtil
    extends Object

Class PropertyUtil is a static helper class for handling properties.

### Constructor Summary

Constructors
Constructor and Description
`PropertyUtil()`

### Method Summary

Methods
`static Map<Object,Object>` `asFlatMap(Map<Object,Object> properties)`
`static Properties` `createProperties(Iterable<Map.Entry<String,String>> defaultProperties)`
`static Properties` `createProperties(Map<Object,Object> properties, Properties defaultProperties)`
`static int` `getIntProperty(Map<Object,Object> properties, String property, int defaultValue)`
`static int` `getIntProperty(Properties defaultProperties, Map<Object,Object> properties, String property, int defaultValue)`
`static String` `getProperty(Map<Object,Object> properties, ConfigDef configDef, String property)`
`static String` `getProperty(Map<Object,Object> properties, ScopedElement flowElement, String property)`
`static String` `getProperty(Map<Object,Object> properties, String property)`
`static <A> A` `getProperty(Map<Object,Object> properties, String key, A defaultValue)`
`static String` `getStringProperty(Map<Object,Object> properties, String property)`
`static String` `getStringProperty(Properties defaultProperties, Map<Object,Object> properties, String property)`
`static void` `setProperty(Map<Object,Object> properties, String key, String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PropertyUtil

    public PropertyUtil()

### Method Detail

#### getProperty

    public static String getProperty(Map<Object,Object> properties,
                     String property)

#### getIntProperty

    public static int getIntProperty(Map<Object,Object> properties,
                     String property,
                     int defaultValue)

#### getIntProperty

    public static int getIntProperty(Properties defaultProperties,
                     Map<Object,Object> properties,
                     String property,
                     int defaultValue)

#### getStringProperty

    public static String getStringProperty(Map<Object,Object> properties,
                           String property)

#### getStringProperty

    public static String getStringProperty(Properties defaultProperties,
                           Map<Object,Object> properties,
                           String property)

#### getProperty

    public static <A> A getProperty(Map<Object,Object> properties,
                    String key,
                    A defaultValue)

#### getProperty

    public static String getProperty(Map<Object,Object> properties,
                     ScopedElement flowElement,
                     String property)

#### getProperty

    public static String getProperty(Map<Object,Object> properties,
                     ConfigDef configDef,
                     String property)

#### setProperty

    public static void setProperty(Map<Object,Object> properties,
                   String key,
                   String value)

#### createProperties

    public static Properties createProperties(Iterable<Map.Entry<String,String>> defaultProperties)

#### createProperties

    public static Properties createProperties(Map<Object,Object> properties,
                              Properties defaultProperties)

#### asFlatMap

    public static Map<Object,Object> asFlatMap(Map<Object,Object> properties)